socket_bind6(3)

NAME
socket_bind6 - set the local IP address and port of a socket

SYNTAX
#include <libowfat/socket.h> int socket_bind6(int s, char ip[16], uint16 port,
                 uint32 scope_id);

DESCRIPTION
socket_bind6 sets the local IP address and TCP/UDP port of a TCP/UDP socket s to ip and port respectively. If the IP address is ::, the operating system chooses a local IP address. If port is 0, the operating system chooses a port. Normally socket_bind6 returns 0. If anything goes wrong, socket_bind6 returns -1, setting errno appropriately. The scope_id should normally be zero, but for link-local addresses it specifies the interface number on which to bind. The interface number for a given network interface name can be found with socket_getifidx.

EXAMPLE
  #include <libowfat/socket.h>
  int s;
  char ip[16];
  uint16 p;
  uint32 scope_id;
  s = socket_tcp6();
  socket_bind6(s,ip,p,scope_id);
  socket_connect6(s,ip,p);

SEE ALSO
socket_bind4(3), socket_getifidx(3)